<?
/*
Copyright (c) 2004 by Petr Bohac
---------------------------
This file is part of VerliAdmin.

VerliAdmin is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

VerliAdmin is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with VerliAdmin; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

IF($setup['banlist_min_class'] > $reg_class)
	{Die(VA_Error($err_msg['no_access']));}
?>

<FONT class="h2"><?Print $text_banlist;?></FONT>

<BR><BR>

<?
IF($_POST['age'] && $setup['banlist_unban_class'] <= $reg_class) {
	$time = Time() - $_POST['age'];
	MySQL_Query("DELETE FROM banlist WHERE date_limit < ".$time) OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
	VA_Message($text_affected_rows." : ".MySQL_Affected_Rows(), "info32");
	MySQL_Query("OPTIMIZE TABLE banlist") OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
}

IF($_GET['page'] == ""){$_GET['page'] = 1;}
IF($_GET['orderby'] == ""){$_GET['orderby'] = $setup['banlist_order_by'];}

IF($_GET['filter'] != "" && $_GET['filter_colum'] != "")
	{
	$query = " WHERE `".$_GET['filter_colum']."` LIKE '";
	IF($_GET['filter_type'] == "contains" || $_GET['filter_type'] == "ends")
		{$query .= "%";}
	$query .= MySQL_Escape_String($_GET['filter']);
	IF($_GET['filter_type'] == "contains" || $_GET['filter_type'] == "begins")
		{$query .= "%";}
	$query .= "'";
	}
IF($_GET['filter_active'])
	{
	IF($_GET['filter'] != "" && $_GET['filter_colum'] != "")
		{$query .= " AND";}
    ELSE
    	{$query = " WHERE";}
	$query .= " date_limit > UNIX_TIMESTAMP()";
	}

$result = MySQL_Query("SELECT Count(ip) AS `count` FROM `banlist`".$query) OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
$count = MySQL_Fetch_Assoc($result);
MySQL_Free_Result($result);
$total = $count['count'];
$pages = (int)($total / $setup['banlist_results']) + 1;
$first = $setup['banlist_results'] * ($_GET['page'] - 1);

$colums = $setup['banlist_ban_type'] + $setup['banlist_ip'] + $setup['banlist_nick'];
$colums += $setup['banlist_host'] + $setup['banlist_share_size'] + $setup['banlist_email'];
$colums += $setup['banlist_range_fr'] + $setup['banlist_range_to'] + $setup['banlist_date_start'];
$colums += $setup['banlist_date_limit'] + $setup['banlist_nick_op'] + $setup['banlist_reason'];
$colums += 2;

IF($pages > 1)
	{Navigation($_GET['page'], $pages, "banlist", $_GET['orderby'], $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);}
?>

<?IF($setup['banlist_unban_class'] <= $reg_class) {?>
<FORM action="index.php?<?Print "q=banlist&page=".$_GET['page']."&orderby=".$_GET['orderby']."&filter_active=".$_GET['filter_active']."&filter_nick=".$_GET['filter_nick']."&filter_ip=".$_GET['filter_ip']."&filter_reson=".$_GET['filter_reson']."&filter=".$_GET['filter'];?>" method="post">
<TABLE class="fs9px b1">
	<TR>
		<TD class="bg_light right b">&nbsp;<?Print $text_del_old_bans;?>&nbsp;:&nbsp;</TD>
		<TD class="bg_light">
			<INPUT name="age" type="text" size=4>
			<?Print $text_days;?>
			<INPUT name="del_old" type="submit" value="<?Print $text_delete;?>">
		</TD>
	</TR>
</TABLE>
<?}?>

<BR>

<TABLE class="fs9px b1">
	<TR><FORM action="index.php" method="get">
		<TD colspan=<?Print $colums;?> align="right" class="bg_light" nowrap>
			<FONT class="b"><?Print $text_filter;?> : </FONT>
			<INPUT name="q" type="hidden" value="banlist">
			<INPUT name="orderby" type="hidden" value="<?Print $_GET['orderby'];?>">
			<INPUT name="filter_active" id="filter_active" type="checkbox" value=1<?IF($_GET['filter_active']){Print " checked";} IF($_COOKIE['brwsr_tp'] != "Opera"){Print " class=\"b0\"";}?>><LABEL for="filter_active"><?Print $text_active_kicks;?></LABEL>&nbsp;&nbsp;
			<FONT class="b"><?Print $text_colum;?> : </FONT>
			<SELECT name="filter_colum" size=1>
				<OPTION></OPTION>
				<OPTION value="ban_type"<?IF($_GET['filter_colum'] == "ban_type"){Print " selected";}?>><?Print $text_ban_type;?></OPTION>
				<OPTION value="ip"<?IF($_GET['filter_colum'] == "ip"){Print " selected";}?>><?Print $text_ip;?></OPTION>
				<OPTION value="nick"<?IF($_GET['filter_colum'] == "nick"){Print " selected";}?>><?Print $text_nick;?></OPTION>
				<OPTION value="host"<?IF($_GET['filter_colum'] == "host"){Print " selected";}?>><?Print $text_host;?></OPTION>
				<OPTION value="share_size"<?IF($_GET['filter_colum'] == "share_size"){Print " selected";}?>><?Print $text_share_size;?></OPTION>
				<OPTION value="email"<?IF($_GET['filter_colum'] == "email"){Print " selected";}?>><?Print $text_email;?></OPTION>
				<OPTION value="nick_op"<?IF($_GET['filter_colum'] == "nick_op"){Print " selected";}?>><?Print $text_ban_op;?></OPTION>
				<OPTION value="reason"<?IF($_GET['filter_colum'] == "reason"){Print " selected";}?>><?Print $text_reason;?></OPTION>
			</SELECT>
			&nbsp;&nbsp;
			<SELECT name="filter_type" size=1>
				<OPTION></OPTION>
				<OPTION value="contains"<?IF($_GET['filter_type'] == "contains"){Print " selected";}?>><?Print $text_contains;?></OPTION>
				<OPTION value="equal"<?IF($_GET['filter_type'] == "equal"){Print " selected";}?>><?Print $text_equal;?></OPTION>
				<OPTION value="begins"<?IF($_GET['filter_type'] == "begins"){Print " selected";}?>><?Print $text_begins;?></OPTION>
				<OPTION value="ends"<?IF($_GET['filter_type'] == "ends"){Print " selected";}?>><?Print $text_ends;?></OPTION>
			</SELECT>
			&nbsp;&nbsp;
			<FONT class="b"><?Print $text_filter;?> : </FONT>
			<INPUT name="filter" type="text" size=35 value="<?Print $_GET['filter'];?>" class="12px">
			<INPUT type="submit" class="12px" value="<?Print $text_send;?>">
		</TD></FORM>
	</TR><TR>
		<TD width=32 colspan=2 class="bg_light">&nbsp;</TD>
		<?IF($setup['banlist_ban_type']){?><TD align="right" class="b bg_light" nowrap><?Print $text_ban_type; PrintOrderBy("ban_type", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_ip']){?><TD class="b bg_light" nowrap><?Print $text_ip; PrintOrderBy("ip", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_nick']){?><TD class="b bg_light" nowrap><?Print $text_nick; PrintOrderBy("nick", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_host']){?><TD class="b bg_light" nowrap><?Print $text_host; PrintOrderBy("host", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_share_size']){?><TD class="b bg_light" nowrap><?Print $text_share_size; PrintOrderBy("share_size", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_email']){?><TD class="b bg_light" nowrap><?Print $text_email; PrintOrderBy("email", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_range_fr']){?><TD class="b bg_light" nowrap><?Print $text_range_fr; PrintOrderBy("range_fr", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_range_to']){?><TD class="b bg_light" nowrap><?Print $text_range_to; PrintOrderBy("range_to", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_date_start']){?><TD class="b bg_light" nowrap><?Print $text_date_start; PrintOrderBy("date_start", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_date_limit']){?><TD class="b bg_light" nowrap><?Print $text_date_limit; PrintOrderBy("date_limit", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_nick_op']){?><TD class="b bg_light" nowrap><?Print $text_ban_op; PrintOrderBy("nick_op", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_reason']){?><TD class="b bg_light" nowrap><?Print $text_reason; PrintOrderBy("reason", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
	</TR>
<?
$query .= " ORDER BY ".$_GET['orderby']." LIMIT ".$first.",".$setup['banlist_results'];
$result = MySQL_Query("SELECT * FROM `banlist`".$query) OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
WHILE($row = MySQL_Fetch_Assoc($result))
	{
	$row['nick'] = HTMLSpecialChars($row['nick']);
	$row['email'] = HTMLSpecialChars($row['email']);
	$row['nick_op'] = HTMLSpecialChars($row['nick_op']);
	$row['reason'] = HTMLSpecialChars($row['reason']);

	$info =  $text_ban_type." : ".$row['ban_type']." \n";
	$info .= $text_ip." : ".$row['ip']." \n";
	$info .= $text_nick." : ".$row['nick']." \n";
	$info .= $text_host." : ".$row['host']." \n";
	$info .= $text_share_size." : ".Number_Format($row['share_size'])." (".RoundShare($row['share_share']).") \n";
	$info .= $text_email." : ".$row['email']." \n";
	$info .= $text_range_fr." : ".Get_IP_From_Range($row['range_fr'])." \n";
	$info .= $text_range_to." : ".Get_IP_From_Range($row['range_to'])." \n";
	$info .= $text_date_start." : ".Date($setup['timedate_format'], $row['date_start'])." \n";
	IF($row['date_limit'] > 0)
		{$info .= $text_date_limit." : ".Date($setup['timedate_format'], $row['date_limit'])." \n";}
	ELSE
		{$info .= $text_date_limit." : ".$text_permanent." \n";}
	$info .= $text_ban_op." : ".$row['nick_op']." \n";
	$info .= $text_reason." :\n".$row['reason'];
	?>
	<TR>
		<TD class="bg_light"><IMG src="img/info.gif" title="<?Print $info;?>" widht=16 height=16></TD>
		<FORM action="index.php?q=unban&<?Print "page=".$_GET['page']."&orderby=".$_GET['orderby']."&filter_nick=".$_GET['filter_nick']."&filter_ip=".$_GET['filter_ip']."&filter_reson=".$_GET['filter_reson']."&filter=".$_GET['filter'];?>" method="post">
			<INPUT name="ip" type="hidden" value="<?Print $row['ip'];?>">
			<INPUT name="nick" type="hidden" value="<?Print $row['nick'];?>">
			<INPUT name="email" type="hidden" value="<?Print $row['email'];?>">
			<INPUT name="date_start" type="hidden" value="<?Print $row['date_start'];?>">
		<TD class="bg_light"><?IF((Time() < $row['date_limit'] || $row['date_limit'] == 0) && $setup['banlist_unban_class'] <= $reg_class){?><INPUT type="image" src="img/trash.gif" title="<?Print $text_unban;?>" class="b0"><?}?></TD>
		</FORM>
		<?IF($setup['banlist_ban_type']){?><TD align="right" class="bg_light"><?Print $row['ban_type'];?></TD><?}?>
		<?IF($setup['banlist_ip']){?><TD class="bg_light"><?Print $row['ip'];?></TD><?}?>
		<?IF($setup['banlist_nick']){?><TD class="bg_light"><?Print $row['nick'];?></TD><?}?>
		<?IF($setup['banlist_host']){?><TD class="bg_light"><?Print $row['host'];?></TD><?}?>
		<?IF($setup['banlist_share_size']){?><TD align="right" class="bg_light"><?Print RoundShare($row['share_size']);?></TD><?}?>
		<?IF($setup['banlist_email']){?><TD class="bg_light"><?Print $row['email'];?></TD><?}?>
		<?IF($setup['banlist_range_fr']){?><TD align="right" class="bg_light"><?Print Get_IP_From_Range($row['range_fr']);?></TD><?}?>
		<?IF($setup['banlist_range_to']){?><TD align="right" class="bg_light"><?Print Get_IP_From_Range($row['range_to']);?></TD><?}?>
		<?IF($setup['banlist_date_start']){?><TD class="bg_light"><?Print Date($setup['timedate_format'], $row['date_start']);?></TD><?}?>
		<?IF($setup['banlist_date_limit']){?><TD class="bg_light"><?IF($row['date_limit'] > 0){Print Date($setup['timedate_format'], $row['date_limit']);}ELSE{Print $text_permanent;}?></TD><?}?>
		<?IF($setup['banlist_nick_op']){?><TD class="bg_light"><?Print $row['nick_op'];?></TD><?}?>
		<?IF($setup['banlist_reason']){?><TD class="bg_light"><?Print $row['reason'];?></TD><?}?>
	</TR>
<?	}
MySQL_Free_Result($result);
?>
	<TR>
		<TD colspan=2 class="bg_light">&nbsp;</TD>
		<?IF($setup['banlist_ban_type']){?><TD class="b bg_light" nowrap><?Print $text_ban_type; PrintOrderBy("ban_type", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_ip']){?><TD class="b bg_light" nowrap><?Print $text_ip; PrintOrderBy("ip", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_nick']){?><TD class="b bg_light" nowrap><?Print $text_nick; PrintOrderBy("nick", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_host']){?><TD class="b bg_light" nowrap><?Print $text_host; PrintOrderBy("host", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_share_size']){?><TD class="b bg_light" nowrap><?Print $text_share_size; PrintOrderBy("share_size", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_email']){?><TD class="b bg_light" nowrap><?Print $text_email; PrintOrderBy("email", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_range_fr']){?><TD class="b bg_light" nowrap><?Print $text_range_fr; PrintOrderBy("range_fr", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_range_to']){?><TD class="b bg_light" nowrap><?Print $text_range_to; PrintOrderBy("range_to", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_date_start']){?><TD class="b bg_light" nowrap><?Print $text_date_start; PrintOrderBy("date_start", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_date_limit']){?><TD class="b bg_light" nowrap><?Print $text_date_limit; PrintOrderBy("date_limit", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_nick_op']){?><TD class="b bg_light" nowrap><?Print $text_ban_op; PrintOrderBy("nick_op", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['banlist_reason']){?><TD class="b bg_light" nowrap><?Print $text_reason; PrintOrderBy("reason", $_GET['orderby'], "banlist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
	</TR>
</TABLE>

<?
IF($pages > 1)
	{Navigation($_GET['page'], $pages, "banlist", $_GET['orderby'], $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);}
?>