<?
/*
Copyright (c) 2004 by Petr Bohac
---------------------------
This file is part of VerliAdmin, www interface for VerliHub.
http://bohyn.czechweb.cz

VerliAdmin is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

VerliAdmin is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with VerliAdmin; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

======================================================================
*/

IF($setup['reglist_min_class'] > $reg_class)
	{Die(VA_Error($err_msg['no_access']));}
?>

<FONT class="h2"><?Print $text_reglist;?></FONT>

<?
$register_class = FetchClass($setup['register_class']);
$disable_class = FetchClass($setup['disable_class']);
$delete_class = FetchClass($setup['delete_class']);

IF($_POST['dis_pwd'] && $_POST['age_pwd']) {
	$time = Time() - $_POST['age_pwd'] * 86400;
	MySQL_Query("UPDATE reglist SET enabled = 0 WHERE login_pwd IS NULL AND reg_date < ".$time." AND ((class = 1 AND ".$disable_class[1]." <= ".$reg_class.") OR (class = 2 AND ".$disable_class[2]." <= ".$reg_class."))") OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
	VA_Message($text_affected_rows." : ".MySQL_Affected_Rows(), "info32");
}
IF($_POST['dis_pwd'] && $_POST['age_pwd']) {
	$time = Time() - $_POST['age_pwd'] * 86400;
	MySQL_Query("DELETE FROM reglist WHERE login_pwd IS NULL AND reg_date < ".$time." AND ((class = 1 AND ".$delete_class[1]." <= ".$reg_class.") OR (class = 2 AND ".$delete_class[2]." <= ".$reg_class."))") OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
	VA_Message($text_affected_rows." : ".MySQL_Affected_Rows(), "info32");
	MySQL_Query("OPTIMIZE TABLE reglist") OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
}
ELSEIF($_POST['dis_ina'] && $_POST['age_ina']) {
	$time = Time() - $_POST['age_ina'] * 86400;
	MySQL_Query("UPDATE reglist SET enabled = 0 WHERE login_last < ".$time." AND ((class = 1 AND ".$disable_class[1]." <= ".$reg_class.") OR (class = 2 AND ".$disable_class[2]." <= ".$reg_class."))") OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
	VA_Message($text_affected_rows." : ".MySQL_Affected_Rows(), "info32");
}
ELSEIF($_POST['del_ina'] && $_POST['age_ina']) {
	$time = Time() - $_POST['age_ina'] * 86400;
	MySQL_Query("DELETE FROM reglist WHERE login_last < ".$time." AND ((class = 1 AND ".$delete_class[1]." <= ".$reg_class.") OR (class = 2 AND ".$delete_class[2]." <= ".$reg_class."))") OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
	VA_Message($text_affected_rows." : ".MySQL_Affected_Rows(), "info32");
	MySQL_Query("OPTIMIZE TABLE reglist") OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
}

IF($_GET['orderby'] == ""){$_GET['orderby'] = $setup['reglist_order_by'];}
IF($_GET['page'] == ""){$_GET['page'] = 1;}

IF($_GET['filter'] != "" && $_GET['filter_colum'] != "")
	{
	$query = " WHERE `".$_GET['filter_colum']."` LIKE '";
	IF($_GET['filter_type'] == "contains" || $_GET['filter_type'] == "ends")
		{$query .= "%";}
	$query .= MySQL_Escape_String($_GET['filter']);
	IF($_GET['filter_type'] == "contains" || $_GET['filter_type'] == "begins")
		{$query .= "%";}
	$query .= "'";
	}
IF($_GET['filter_active'])
	{
	IF($_GET['filter'] != "" && $_GET['filter_colum'] != "")
		{$query .= " AND";}
	ELSE
		{$query = " WHERE";}
	$query .= " enabled = 1";
	}

$colums =  $setup['reglist_nick'] + $setup['reglist_class'];
$colums += $setup['reglist_class_protect'] + 5;
$colums += $setup['reglist_class_hidekick'] + $setup['reglist_hide_kick'];
$colums += $setup['reglist_reg_date'] + $setup['reglist_reg_op'];
$colums += $setup['reglist_pwd_change'] + $setup['reglist_pwd_crypt'];
$colums += $setup['reglist_login_pwd'] + $setup['reglist_login_last'];
$colums += $setup['reglist_logout_last'] + $setup['reglist_login_cnt'];
$colums += $setup['reglist_login_ip'] + $setup['reglist_error_last'];
$colums += $setup['reglist_error_cnt'] + $setup['error_ip'];
$colums += $setup['reglist_enabled'] + $setup['reglist_email'];
$colums += $setup['reglist_note_usr'];
IF($reg_class >= 3){$colums += $setup['reglist_note_op'];}

$result = MySQL_Query("SELECT Count(nick) AS `count` FROM reglist".$query) OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
$count = MySQL_Fetch_Assoc($result);
$total = $count['count'];
$pages = (int)($total / $setup['reglist_results']) + 1;
$first = $setup['reglist_results'] * ($_GET['page'] - 1);

IF($pages > 1)
	{Navigation($_GET['page'], $pages, "reglist", $_GET['orderby'], $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);}

IF($disable_class[1] <= $reg_class || $disable_class[2] <= $reg_class || $delete_class[1] <= $reg_class || $delete_class[2] <= $reg_class) {
?>

<BR><BR>

<FORM action="index.php?<?Print "q=reglist&orderby=".$_GET['orderby']."&page=".$_GET['page']."&filter_active=".$_GET['filter_active']."&filter_colum=".$_GET['filter_colum']."&filter_type=".$_GET['filter_type']."&filter=".$_GET['filter'];?>" method="post">
<TABLE class="fs9px b1">
	<TR>
		<TD class="bg_light right b"><?Print $text_del_no_pwd_users;?>&nbsp;:&nbsp;</TD>
		<TD class="bg_light">
			<?Print $text_older_than;?>
			<INPUT name="age_pwd" type="text" size="5">
			<?Print $text_days."; (".$text_class." <= 2)";?>
			<?IF($disable_class[1] <= $reg_class || $disable_class[2] <= $reg_class){?><INPUT name="dis_pwd" type="submit" value="<?Print $text_disable;?>"><?}?>
			<?IF($delete_class[1] <= $reg_class || $delete_class[2] <= $reg_class){?><INPUT name="del_pwd" type="submit" value="<?Print $text_delete;?>"><?}?>
		</TD>
	</TR><TR>
		<TD class="bg_light right b"><?Print $text_del_inactive_users;?>&nbsp;:&nbsp;</TD>
		<TD class="bg_light">
			<?Print $text_older_than;?>
			<INPUT name="age_ina" type="text" size="5">
			<?Print $text_days."; (".$text_class." <= 2)";?>
			<?IF($disable_class[1] <= $reg_class || $disable_class[2] <= $reg_class){?><INPUT name="dis_ina" type="submit" value="<?Print $text_disable;?>"><?}?>
			<?IF($delete_class[1] <= $reg_class || $delete_class[2] <= $reg_class){?><INPUT name="del_ina" type="submit" value="<?Print $text_delete;?>"><?}?>
		</TD>
	</TR>
</TABLE>
</FORM>

<BR>
<?}?>


<TABLE class="fs9px b1">
<?
IF($reg_class >= $register_class[1] || $reg_class >= $register_class[2] || $reg_class >= $register_class[3] || $reg_class >= $register_class[4] || $reg_class >= $register_class[5] || $reg_class >= $register_class[10])
	{?>
	<TR>
		<FORM action="index.php?<?Print "q=addreg&orderby=".$_GET['orderby']."&page=".$_GET['page']."&filter_active=".$_GET['filter_active']."&filter_colum=".$_GET['filter_colum']."&filter_type=".$_GET['filter_type']."&filter=".$_GET['filter'];?>" method="post">
		<TD class="bg_light" colspan=<?Print $colums;?>><INPUT type="submit" value="<?Print $text_addreg;?>"></TD>
		</FORM>
	</TR>
<?	}?>
	<TR>
		<FORM action="index.php" method="get">
		<INPUT name="q" type="hidden" value="reglist">
		<INPUT name="orderby" type="hidden" value="<?Print $_GET['orderby'];?>">
		<TD align="right" colspan=<?Print $colums;?> class="bg_light">
			<INPUT name="filter_active" id="filter_active" type="checkbox" value=1<?IF($_GET['filter_active']){Print " checked";} IF($_COOKIE['brwsr_tp'] != "Opera"){Print " class=\"b0\"";}?>><LABEL for="filter_active"><?Print $text_enabled;?></LABEL>&nbsp;&nbsp;
			<FONT class="b"><?Print $text_colum;?> : </FONT>
			<SELECT name="filter_colum" size=1>
				<OPTION></OPTION>
				<OPTION value="nick"<?IF($_GET['filter_colum'] == "nick"){Print " selected";}?>><?Print $text_nick;?></OPTION>
				<OPTION value="class"<?IF($_GET['filter_colum'] == "class"){Print " selected";}?>><?Print $text_class;?></OPTION>
				<OPTION value="class_protect"<?IF($_GET['filter_colum'] == "class_protect"){Print " selected";}?>><?Print $text_class_protect;?></OPTION>
				<OPTION value="class_hidekick"<?IF($_GET['filter_colum'] == "class_hidekick"){Print " selected";}?>><?Print $text_class_hidekick;?></OPTION>
				<OPTION value="hide_kick"<?IF($_GET['filter_colum'] == "hide_kick"){Print " selected";}?>><?Print $text_hide_kick;?></OPTION>
				<OPTION value="reg_op"<?IF($_GET['filter_colum'] == "reg_op"){Print " selected";}?>><?Print $text_reg_op;?></OPTION>
				<OPTION value="pwd_change"<?IF($_GET['filter_colum'] == "pwd_change"){Print " selected";}?>><?Print $text_pwd_change;?></OPTION>
				<OPTION value="pwd_crypt"<?IF($_GET['filter_colum'] == "pwd_crypt"){Print " selected";}?>><?Print $text_pwd_crypt;?></OPTION>
				<OPTION value="login_cnt"<?IF($_GET['filter_colum'] == "login_cnt"){Print " selected";}?>><?Print $text_login_cnt;?></OPTION>
				<OPTION value="login_ip"<?IF($_GET['filter_colum'] == "login_ip"){Print " selected";}?>><?Print $text_login_ip;?></OPTION>
				<OPTION value="error_cnt"<?IF($_GET['filter_colum'] == "error_cnt"){Print " selected";}?>><?Print $text_error_cnt;?></OPTION>
				<OPTION value="error_ip"<?IF($_GET['filter_colum'] == "error_ip"){Print " selected";}?>><?Print $text_error_ip;?></OPTION>
				<OPTION value="email"<?IF($_GET['filter_colum'] == "email"){Print " selected";}?>><?Print $text_email;?></OPTION>
				<OPTION value="note_op"<?IF($_GET['filter_colum'] == "note_op"){Print " selected";}?>><?Print $text_note_op;?></OPTION>
				<OPTION value="note_usr"<?IF($_GET['filter_colum'] == "note_usr"){Print " selected";}?>><?Print $text_note_usr;?></OPTION>
			</SELECT>
			&nbsp;
			<SELECT name="filter_type" size=1>
				<OPTION></OPTION>
				<OPTION value="contains"<?IF($_GET['filter_type'] == "contains"){Print " selected";}?>><?Print $text_contains;?></OPTION>
				<OPTION value="equal"<?IF($_GET['filter_type'] == "equal"){Print " selected";}?>><?Print $text_equal;?></OPTION>
				<OPTION value="begins"<?IF($_GET['filter_type'] == "begins"){Print " selected";}?>><?Print $text_begins;?></OPTION>
				<OPTION value="ends"<?IF($_GET['filter_type'] == "ends"){Print " selected";}?>><?Print $text_ends;?></OPTION>
			</SELECT>
			&nbsp;
			<INPUT name="filter" type="text" size=25 value="<?Print $_GET['filter']?>">
			<INPUT type="submit" value="<?Print $text_send;?>">
		</TD>
		</FORM>
	</TR><TR>
		<TD width=80 colspan=5 class="bg_light">&nbsp;</TD>
		<?IF($setup['reglist_nick']){?><TD class="b bg_light"><?Print $text_nick; PrintOrderBy("nick", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_class']){?><TD class="b bg_light"><?Print $text_class; PrintOrderBy("class", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_class_protect']){?><TD class="b bg_light" nowrap><?Print $text_class_protect; PrintOrderBy("class_protect", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_class_hidekick']){?><TD class="b bg_light" nowrap><?Print $text_class_hidekick; PrintOrderBy("class_hidekick", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_hide_kick']){?><TD class="b bg_light" nowrap><?Print $text_hide_kick; PrintOrderBy("hide_kick", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_reg_date']){?><TD class="b bg_light" nowrap><?Print $text_reg_date; PrintOrderBy("reg_date", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_reg_op']){?><TD class="b bg_light" nowrap><?Print $text_reg_op; PrintOrderBy("reg_op", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_pwd_change']){?><TD class="b bg_light" nowrap><?Print $text_pwd_change; PrintOrderBy("pwd_change", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_pwd_crypt']){?><TD class="b bg_light" nowrap><?Print $text_pwd_crypt; PrintOrderBy("pwd_crypt", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_login_pwd']){?><TD class="b bg_light" nowrap><?Print $text_login_pwd; PrintOrderBy("login_pwd", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_login_last']){?><TD class="b bg_light" nowrap><?Print $text_login_last; PrintOrderBy("login_last", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_logout_last']){?><TD class="b bg_light" nowrap><?Print $text_logout_last; PrintOrderBy("logout_last", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_login_cnt']){?><TD class="b bg_light" nowrap><?Print $text_login_cnt; PrintOrderBy("login_cnt", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_login_ip']){?><TD class="b bg_light" nowrap><?Print $text_login_ip; PrintOrderBy("login_ip", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_error_last']){?><TD class="b bg_light" nowrap><?Print $text_error_last; PrintOrderBy("error_last", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_error_cnt']){?><TD class="b bg_light" nowrap><?Print $text_error_cnt; PrintOrderBy("error_cnt", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_error_ip']){?><TD class="b bg_light" nowrap><?Print $text_error_ip; PrintOrderBy("error_ip", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_enabled']){?><TD class="b bg_light" nowrap><?Print $text_enabled; PrintOrderBy("enabled", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_email']){?><TD class="b bg_light" nowrap><?Print $text_email; PrintOrderBy("email", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_note_op'] && $reg_class >= 3){?><TD class="b bg_light" nowrap><?Print $text_note_op; PrintOrderBy("note_op", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_note_usr']){?><TD class="b bg_light" nowrap><?Print $text_note_usr; PrintOrderBy("note_usr", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
	</TR>
<?
$result = MySQL_Query("SELECT * FROM reglist".$query." ORDER BY ".$_GET['orderby']." LIMIT ".$first.",".$setup['reglist_results']) OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
WHILE($row = MySQL_Fetch_Assoc($result))
	{?>
	<TR>
		<?
		IF($row['enabled'] == 0){$image = "skull.gif";}
		ELSEIF(Eregi("\[bot\]|\(bot\)", $row['nick'])){$image = "bot.gif";}
		ELSEIF(Eregi("^((bohyn)|(\(cz\)bohyn)|(\[op\]bohyn))$", $row['nick'])){$image = "bohyn16.gif";}
		ELSEIF(Eregi("^verliba$", $row['nick'])){$image = "verliba16.gif";}
		ElSEIF($row['class'] == 1){$image = "reg.gif";}
		ELSEIF($row['class'] == 2){$image = "vip.gif";}
		ELSEIF($row['class'] == 3){$image = "op.gif";}
		ELSEIF($row['class'] == 4){$image = "op.gif";}
		ELSEIF($row['class'] == 5){$image = "op.gif";}
		ELSEIF($row['class'] == 10){$image = "master.gif";}
		
		$row['nick'] = HTMLSpecialChars($row['nick']);
		$row['email'] = HTMLSpecialChars($row['email']);
		$row['reg_op'] = HTMLSpecialChars($row['reg_op']);
		$row['note_op'] = HTMLSpecialChars($row['note_op']);
		$row['note_usr'] = HTMLSpecialChars($row['note_usr']);
		
		$info  = $text_nick." : ".$row['nick']." \n";
		$info .= $text_class_protect." : ".$row['class_protect']." \n";
		$info .= $text_class_hidekick." : ".$row['class_hidekick']." \n";
		$info .= $text_hide_kick." : ".$row['hide_kick']." \n";
		$info .= $text_reg_date." : ".Date($setup['timedate_format'], $row['reg_date'])." \n";
		$info .= $text_reg_op." : ".$row['reg_op']." \n";
		$info .= $text_pwd_change." : ".$row['pwd_change']." \n";
		$info .= $text_pwd_crypt." : ".$row['pwd_crypt']." \n";
		IF($row['login_last'] > 0)
			{$info .= $text_login_last." : ".Date($setup['timedate_format'], $row['login_last'])." \n";}
		ELSE
			{$info .= $text_login_last." : ".$text_never." \n";}
		IF($row['logout_last'] > 0)
			{$info .= $text_logout_last." : ".Date($setup['timedate_format'], $row['logout_last'])." \n";}
		ELSE
			{$info .= $text_logout_last." : ".$text_never." \n";}
		$info .= $text_login_cnt." : ".Number_format($row['login_cnt'])." \n";
		$info .= $text_login_ip." : ".$row['login_ip']." \n";
		IF($row['error_last'] > 0)
			{$info .= $text_error_last." : ".Date($setup['timedate_format'], $row['error_last'])." \n";}
		ELSE
			{$info .= $text_error_last." : ".$text_never." \n";}
		$info .= $text_error_cnt." : ".Number_Format($row['error_cnt'])." \n";
		$info .= $text_error_ip." : ".$row['error_ip']." \n";
		$info .= $text_email." : ".$row['email']." \n";
		IF($reg_class >= 3){$info .= $text_note_op." : ".$row['note_op']." \n";}
		$info .= $text_note_usr." : ".$row['note_usr']." ";
		
		$class_name = GetClassName($row['class'])
		?>
		
		<TD width=16 class="bg_light"><IMG src="img/<?Print $image?>" title="<?Print $text_class." : ".$$class_name." (".$row['class'].") \n".$text_enabled." : ".$row['enabled'];?>" width=16 height=16></TD>
		<TD width=16 class="bg_light"><A name="<?Print $row['nick'];?>"><IMG src="img/info.gif" title="<?Print $info;?>" width=16 height=16></A></TD>
		
		<FORM action="index.php?q=addreg&<?Print "page=".$_GET['page']."&orderby=".$_GET['orderby']."&filter_active=".$_GET['filter_active']."&filter_colum=".$_GET['filter_colum']."&filter_type=".$_GET['filter_type']."&filter=".$_GET['filter'];?>" method="post">
		<INPUT name="nick_mod" type="hidden" value="<?Print $row['nick'];?>">
		<TD width=16 class="bg_light"><?IF($register_class[$row['class']] <= $reg_class){?><INPUT type="image" value="Submit" src="img/edit.gif" alt="<?Print $text_edit_user;?>" class="b0"><?}ELSE{Print "&nbsp;";}?>
		
		</FORM><FORM action="index.php?q=repass&<?Print "page=".$_GET['page']."&orderby=".$_GET['orderby']."&filter_active=".$_GET['filter_active']."&filter_colum=".$_GET['filter_colum']."&filter_type=".$_GET['filter_type']."&filter=".$_GET['filter'];?>" method="post">
		<INPUT name="nick_mod" type="hidden" value="<?Print $row['nick'];?>">
		<TD width=16 class="bg_light">
			<?IF(($row['class'] < $reg_class || $reg_class == 10) && !$row['pwd_change'] && $reg_class > 2)
				{?><INPUT type="image" value="Submit" src="img/repass.gif" alt="<?Print $text_change_password;?>" class="b0"><?}ELSE{Print "&nbsp;";}?>


		</FORM><FORM action="index.php?q=delreg&<?Print "page=".$_GET['page']."&orderby=".$_GET['orderby']."&filter_active=".$_GET['filter_active']."&filter_colum=".$_GET['filter_colum']."&filter_type=".$_GET['filter_type']."&filter=".$_GET['filter'];?>" method="post">
		<INPUT name="nick_mod" type="hidden" value="<?Print $row['nick'];?>">
		<INPUT name="enabled" type="hidden" value="<?Print $row['enabled'];?>">
		<TD width=16 class="bg_light">
<?			IF($row['enabled'])
				{
				IF($disable_class[$row['class']] <= $reg_class)
					{?><INPUT type="image" value="Submit" src="img/trash.gif" alt="<?Print $text_disable_user;?>" class="b0"><?}
				}
			ELSE
				{
				IF($delete_class[$row['class']] <= $reg_class)
					{?><INPUT type="image" value="Submit" src="img/delete.gif" alt="<?Print $text_delete_user;?>" class="b0"><?}
				}?>
		</TD>
		</FORM>

		<?IF($setup['reglist_nick']){?><TD class="bg_light"><?Print $row['nick'];?></TD><?}?>
		<?IF($setup['reglist_class']){?><TD align="right" class="bg_light"><?Print $row['class'];?></TD><?}?>
		<?IF($setup['reglist_class_protect']){?><TD align="right" class="bg_light"><?Print $row['class_protect'];?></TD><?}?>
		<?IF($setup['reglist_class_hidekick']){?><TD align="right" class="bg_light"><?Print $row['class_hidekick'];?></TD><?}?>
		<?IF($setup['reglist_hide_kick']){?><TD align="right" class="bg_light"><?Print $row['hide_kick'];?></TD><?}?>
		<?IF($setup['reglist_reg_date']){?><TD class="bg_light"><?Print Date($setup['timedate_format'], $row['reg_date']);?></TD><?}?>
		<?IF($setup['reglist_reg_op']){?><TD class="bg_light 12px"><?Print $row['reg_op'];?></TD><?}?>
		<?IF($setup['reglist_pwd_change']){?><TD align="right" class="bg_light"><?Print $row['pwd_change'];?></TD><?}?>
		<?IF($setup['reglist_pwd_crypt']){?><TD align="right" class="bg_light"><?Print $row['pwd_crypt'];?></TD><?}?>
		<?IF($setup['reglist_login_pwd']){?><TD class="bg_light"><?Print $row['login_pwd'];?></TD><?}?>
		<?IF($setup['reglist_login_last']){?><TD class="bg_light"><?IF($row['login_last'] > 0){Print Date($setup['timedate_format'], $row['login_last']);}ELSE{Print $text_never;}?></TD><?}?>
		<?IF($setup['reglist_logout_last']){?><TD class="bg_light"><?IF($row['logout_last'] > 0){Print Date($setup['timedate_format'], $row['logout_last']);}ELSE{Print $text_never;}?></TD><?}?>
		<?IF($setup['reglist_login_cnt']){?><TD align="right" class="bg_light"><?Print Number_Format($row['login_cnt']);?></TD><?}?>
		<?IF($setup['reglist_login_ip']){?><TD class="bg_light"><?Print $row['login_ip'];?></TD><?}?>
		<?IF($setup['reglist_error_last']){?><TD class="bg_light"><?IF($row['error_last'] > 0){Print Date($setup['timedate_format'], $row['error_last']);}ELSE{Print $text_never;}?></TD><?}?>
		<?IF($setup['reglist_error_cnt']){?><TD align="right" class="bg_light"><?Print Number_Format($row['error_cnt']);?></TD><?}?>
		<?IF($setup['reglist_error_ip']){?><TD align="right" class="bg_light"><?Print $row['error_ip'];?></TD><?}?>
		<?IF($setup['reglist_enabled']){?><TD align="right" class="bg_light"><?Print $row['enabled'];?></TD><?}?>
		<?IF($setup['reglist_email']){?><TD class="bg_light"><?Print $row['email'];?></TD><?}?>
		<?IF($setup['reglist_note_op'] && $reg_class >= 3){?><TD class="bg_light"><?Print nl2br($row['note_op']);?></TD><?}?>
		<?IF($setup['reglist_note_usr']){?><TD class="bg_light"><?Print nl2br($row['note_usr']);?></TD><?}?>
	</TR>
<?	}
MySQL_Free_Result($result);
?>
	<TR>
		<TD colspan=5 class="bg_light">&nbsp;</TD>
		<?IF($setup['reglist_nick']){?><TD class="b bg_light"><?Print $text_nick; PrintOrderBy("nick", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_class']){?><TD class="b bg_light"><?Print $text_class; PrintOrderBy("class", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_class_protect']){?><TD class="b bg_light" nowrap><?Print $text_class_protect; PrintOrderBy("class_protect", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_class_hidekick']){?><TD class="b bg_light" nowrap><?Print $text_class_hidekick; PrintOrderBy("class_hidekick", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_hide_kick']){?><TD class="b bg_light" nowrap><?Print $text_hide_kick; PrintOrderBy("hide_kick", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_reg_date']){?><TD class="b bg_light" nowrap><?Print $text_reg_date; PrintOrderBy("reg_date", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_reg_op']){?><TD class="b bg_light" nowrap><?Print $text_reg_op; PrintOrderBy("reg_op", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_pwd_change']){?><TD class="b bg_light" nowrap><?Print $text_pwd_change; PrintOrderBy("pwd_change", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_pwd_crypt']){?><TD class="b bg_light" nowrap><?Print $text_pwd_crypt; PrintOrderBy("pwd_crypt", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_login_pwd']){?><TD class="b bg_light" nowrap><?Print $text_login_pwd; PrintOrderBy("login_pwd", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_login_last']){?><TD class="b bg_light" nowrap><?Print $text_login_last; PrintOrderBy("login_last", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_logout_last']){?><TD class="b bg_light" nowrap><?Print $text_logout_last; PrintOrderBy("logout_last", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_login_cnt']){?><TD class="b bg_light" nowrap><?Print $text_login_cnt; PrintOrderBy("login_cnt", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_login_ip']){?><TD class="b bg_light" nowrap><?Print $text_login_ip; PrintOrderBy("login_ip", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_error_last']){?><TD class="b bg_light" nowrap><?Print $text_error_last; PrintOrderBy("error_last", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_error_cnt']){?><TD class="b bg_light" nowrap><?Print $text_error_cnt; PrintOrderBy("error_cnt", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_error_ip']){?><TD class="b bg_light" nowrap><?Print $text_error_ip; PrintOrderBy("error_ip", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_enabled']){?><TD class="b bg_light" nowrap><?Print $text_enabled; PrintOrderBy("enabled", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_email']){?><TD class="b bg_light" nowrap><?Print $text_email; PrintOrderBy("email", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_note_op'] && $reg_class >= 3){?><TD class="b bg_light" nowrap><?Print $text_note_op; PrintOrderBy("note_op", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['reglist_note_usr']){?><TD class="b bg_light" nowrap><?Print $text_note_usr; PrintOrderBy("note_usr", $_GET['orderby'], "reglist", $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
	</TR>
</TABLE>

<?
IF($pages > 1)
	{Navigation($_GET['page'], $pages, "reglist", $_GET['orderby'], $_GET['filter_active'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);}
?>