<?
/*
Copyright (c) 2004 by Petr Bohac
---------------------------
This file is part of VerliAdmin.

VerliAdmin is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

VerliAdmin is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with VerliAdmin; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

IF(IsSet($_POST['submit']))
	{//Submitted add / edit reg user
	Include "config.php";
	Include "language.php";
	Include "library.php";
	Include "verify.php";

	//Escape strings for safety use in MySQL
	$_POST['oldnick'] = MySQL_Escape_String($_POST['oldnick']);
	$_POST['nick'] = MySQL_Escape_String($_POST['nick']);
	$_POST['reg_op'] = MySQL_Escape_String($_POST['reg_op']);
	$_POST['note_op'] = MySQL_Escape_String($_POST['note_op']);
	$_POST['note_usr'] = MySQL_Escape_String($_POST['note_usr']);

	//Get informations about editted user
	$result = MySQL_Query("SELECT `class`, `enabled` FROM reglist WHERE nick='".$_POST['oldnick']."'");
	$row = MySQL_Fetch_Assoc($result);

	$register_class = FetchClass($setup['register_class']);
	$disable_class = FetchClass($setup['disable_class']);
	
	IF($register_class[$row['class']] > $reg_class)
		//User is not allowed to register this class
		{Header("Location: index.php?q=addreg&err=no_addreg_access");
		Die();}
	IF($disable_class[$row['class']] > $reg_class && $row['enabled'] && !$_POST['enabled'])
		//User tryed to disable this user with no disable rights
		{Header("Location: index.php?q=addreg&err=no_disable_access");
		Die();}

	IF($_POST['new'])
		{//Adding new user
		IF(NickExist($_POST['nick']))
			{//User already exists
			Header("Location: index.php?q=addreg&warn=user_exist");
			Die();
			}
		ELSE
			{$query = "INSERT INTO reglist (nick, class, class_protect, class_hidekick, hide_kick, reg_date, reg_op, pwd_crypt, enabled, note_op, note_usr) VALUES ('".$_POST['nick']."', '".$_POST['class']."', '".$_POST['class_protect']."', '".$_POST['class_hidekick']."', '".$_POST['hide_kick']."', UNIX_TIMESTAMP(), '".$_POST['reg_op']."', 1, '".$_POST['enabled']."', '".$_POST['note_op']."', '".$_POST['note_usr']."')";}
		}
	ELSE
		//Change existing user settings
		{$query = "UPDATE reglist SET `nick`='".$_POST['nick']."', `class`='".$_POST['class']."', `class_protect`='".$_POST['class_protect']."', `class_hidekick`='".$_POST['class_hidekick']."', `hide_kick`='".$_POST['hide_kick']."', `enabled`='".$_POST['enabled']."', `note_op`='".$_POST['note_op']."', `note_usr`='".$_POST['note_usr']."' WHERE `nick` LIKE '".$_POST['oldnick']."'";}
	MySQL_Query($query) OR Die(MySQL_Error());
	
	IF($setup['log_addreg'])
		{//Log this action if loging is enabled
		$action = "Added / edited reg user ".$_POST['nick']." wit class ".$_POST['class'];
		LogFile($_COOKIE['nick'], $reg_class, $action, "login");
		}
	
	//Return to reglist
	Header("Location: index.php?q=reglist&page=".$_GET['page']."&orderby=".$_GET['orderby']."#".$_POST['nick']);
	}

// ---------------------------------------------------------------------
?>
	
<FONT class="h2"><?Print $text_addreg;?></FONT>

<BR><BR>

<?
$register_class = FetchClass($setup['register_class']);
$disable_class = FetchClass($setup['disable_class']);

$result = MySQL_Query("SELECT * FROM reglist WHERE nick LIKE '".$_POST['nick_mod']."'") OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
IF(MySQL_Num_Rows($result) == 1)
	{//User is not allowed to edit this user
	$row = MySQL_Fetch_Assoc($result);
	IF($register_class[$row['class']] > $reg_class)
		{
		Print "<FONT class=\"b red\">".$err_msg['no_addreg_access']."</FONT>";
		Die();
		}
	}
ELSEIF($reg_class >= $register_class[1] || $reg_class >= $register_class[2] || $reg_class >= $register_class[3] || $reg_class >= $register_class[4] || $reg_class >= $register_class[5] || $reg_class >= $register_class[10])
	{//User is allowed to register some class (At least one)
	$new = 1;//Adding new user = true
	}
ELSE
	{//User has no addres access (Can`t register any class)
	Header("Location: index.php?q=addreg&err=no_addreg_access");
	}

//Replace special characters by safety ones
$row['nick'] = HTMLSpecialChars($row['nick']);
$row['reg_op'] = HTMLSpecialChars($row['reg_op']);
$row['note_op'] = HTMLSpecialChars($row['note_op']);
$row['note_usr'] = HTMLSpecialChars($row['note_usr']);
?>

<FORM action="addreg.php?<?Print "page=".$_GET['page']."&orderby=".$_GET['orderby'];?>" method="post">
<INPUT name="oldnick" type="hidden" value="<?Print $row['nick'];?>">
<?IF($new){Print "<INPUT name=\"new\" type=\"hidden\" value=\"1\">";}?>
<TABLE class="fs9px b1">
	<TR>
		<TD align="right" class="b bg_light"><?Print $text_nick;?> : </TD>
		<TD class="bg_light"><INPUT name="nick" type="text" size=20 value="<?Print $row['nick'];?>"></TD>
	</TR><TR>
		<TD align="right" class="b bg_light"><?Print $text_class;?> : </TD>
		<TD class="bg_light">
			<SELECT name="class" size=1>
			<?IF($register_class[1] <= $reg_class){?><OPTION value=1<?IF($row['class'] == 1 || $new){Print " selected";}?>><?Print $text_reg;?> (1)</OPTION><?}?>
			<?IF($register_class[2] <= $reg_class){?><OPTION value=2<?IF($row['class'] == 2){Print " selected";}?>><?Print $text_vip;?> (2)</OPTION><?}?>
			<?IF($register_class[3] <= $reg_class){?><OPTION value=3<?IF($row['class'] == 3){Print " selected";}?>><?Print $text_op;?> (3)</OPTION><?}?>
			<?IF($register_class[4] <= $reg_class){?><OPTION value=4<?IF($row['class'] == 4){Print " selected";}?>><?Print $text_chief_op;?> (4)</OPTION><?}?>
			<?IF($register_class[5] <= $reg_class){?><OPTION value=5<?IF($row['class'] == 5){Print " selected";}?>><?Print $text_admin;?> (5)</OPTION><?}?>
			<?IF($register_class[10] <= $reg_class){?><OPTION value=10<?IF($row['class'] == 10){Print " selected";}?>><?Print $text_master;?> (10)</OPTION><?}?>
		</TD>
	</TR><TR>
		<TD align="right" class="b bg_light"><?Print $text_class_protect;?> : </TD>
		<TD class="bg_light">
			<SELECT name="class_protect" size=1>
			<?IF($reg_class >= 1){?><OPTION value=1<?IF($row['class_protect'] == 1){Print " selected";}?>><?Print $text_reg;?> (1)</OPTION><?}?>
			<?IF($reg_class >= 2){?><OPTION value=2<?IF($row['class_protect'] == 2){Print " selected";}?>><?Print $text_vip;?> (2)</OPTION><?}?>
			<?IF($reg_class >= 3){?><OPTION value=3<?IF($row['class_protect'] == 3){Print " selected";}?>><?Print $text_op;?> (3)</OPTION><?}?>
			<?IF($reg_class >= 4){?><OPTION value=4<?IF($row['class_protect'] == 4){Print " selected";}?>><?Print $text_chief_op;?> (4)</OPTION><?}?>
			<?IF($reg_class >= 5){?><OPTION value=5<?IF($row['class_protect'] == 5){Print " selected";}?>><?Print $text_admin;?> (5)</OPTION><?}?>
			<?IF($reg_class >= 10){?><OPTION value=10<?IF($row['class_protect'] == 10){Print " selected";}?>><?Print $text_master;?> (10)</OPTION><?}?>
		</TD>
</TR><TR>
		<TD align="right" class="b bg_light"><?Print $text_class_hidekick;?> : </TD>
		<TD class="bg_light">
			<SELECT name="class_hidekick" size=1>
			<OPTION value=0<?IF($row['class_hidekick'] == 0 || $new){Print " selected";}?>><?Print $text_guest;?> (0)</OPTION>
			<OPTION value=1<?IF($row['class_hidekick'] == 1){Print " selected";}?>><?Print $text_reg;?> (1)</OPTION>
			<OPTION value=2<?IF($row['class_hidekick'] == 2){Print " selected";}?>><?Print $text_vip;?> (2)</OPTION>
			<OPTION value=3<?IF($row['class_hidekick'] == 3){Print " selected";}?>><?Print $text_op;?> (3)</OPTION>
			<OPTION value=4<?IF($row['class_hidekick'] == 4){Print " selected";}?>><?Print $text_chief_op;?> (4)</OPTION>
			<OPTION value=5<?IF($row['class_hidekick'] == 5){Print " selected";}?>><?Print $text_admin;?> (5)</OPTION>
			<OPTION value=10<?IF($row['class_hidekick'] == 10){Print " selected";}?>><?Print $text_master;?> (10)</OPTION>
		</TD>
	</TR><TR>
		<TD align="right" class="b bg_light"><?Print $text_hide_kick;?> : </TD>
		<TD class="bg_light">
		<SELECT name="hide_kick" size=1>
			<OPTION value=0<?IF($row['hide_kick'] == 0){Print " selected";}?>><?Print $text_disabled;?></OPTION>
			<OPTION value=1<?IF($row['hide_kick'] == 1){Print " selected";}?>><?Print $text_enabled?></OPTION>
		</TD>
	</TR><TR>
		<TD align="right" class="b bg_light"><?Print $text_reg_date;?> : </TD>
		<TD class="bg_light"><?IF(!$new){Print Date($setup['timedate_format'], $row['reg_date']);}ELSE{Print Date($setup['date_format'], Time());}?></TD>
	</TR><TR>
		<TD align="right" class="b bg_light"><?Print $text_reg_op;?> : </TD>
		<?IF($new){Print "<INPUT name=\"reg_op\" type=\"hidden\" value=\"".$_COOKIE['nick']."\"><TD class=\"bg_light\">".$_COOKIE['nick'];}ELSE{Print "<TD class=\"bg_light\">".$row['reg_op'];}?></TD>
	</TR><TR>
		<TD align="right" class="b bg_light"><?Print $text_pwd_crypt;?> : </TD>
		<TD class="bg_light">
			<SELECT name="pwd_crypt" size=1<?IF(!$new){Print " disabled";}?>>
			<OPTION value=0<?IF($row['pwd_crypt'] == 0){Print " selected";}?>><?Print $text_disabled;?></OPTION>
			<OPTION value=1<?IF($row['pwd_crypt'] == 1 || $new){Print " selected";}?>><?Print $text_enabled;?></OPTION>
		</TD>
	</TR><TR>
		<TD align="right" class="b bg_light"><?Print $text_enabled;?> : </TD>
		<TD class="bg_light">
			<SELECT name="enabled" size=1<?IF($disable_class[$row['class']] > $reg_class && !$new){Print " disabled";}?>>
			<OPTION value=0<?IF($row['enabled'] == 0){Print " selected";}?>><?Print $text_disabled;?></OPTION>
			<OPTION value=1<?IF($row['enabled'] == 1 || $new){Print " selected";}?>><?Print $text_enabled;?></OPTION>
			<?IF($disable_class[$row['class']] > $reg_class && !$new){?>
			<INPUT name="enabled" type="hidden" value="<?Print $row['enabled'];?>">
			<?}?>
		</TD>
	</TR><TR>
		<TD align="right" valign="top" class="b bg_light"><?Print $text_note_op;?> : </TD>
		<TD class="bg_light"><TEXTAREA name="note_op" cols=20 rows=3><?Print $row['note_op'];?></TEXTAREA></TD>
	</TR><TR>
		<TD align="right" valign="top" class="b bg_light"><?Print $text_note_usr;?> : </TD>
		<TD class="bg_light"><TEXTAREA name="note_usr" cols=20 rows=3><?Print $row['note_usr'];?></TEXTAREA></TD>
	</TR><TR>
		<TD align="right" colspan=2 class="bg_light">
			<INPUT name="reset" type="reset" value="&nbsp;&nbsp;<?Print $text_reset;?>&nbsp;&nbsp;" class="b">
			<INPUT name="submit" type="submit" value="&nbsp;&nbsp;<?Print $text_send;?>&nbsp;&nbsp;" class="b">
		</TD>
	</TR>
<TABLE>
</FORM>