<?
/*
Copyright (c) 2004 by Petr Bohac
---------------------------
This file is part of VerliAdmin, www interface for VerliHub.
http://bohyn.czechweb.cz

VerliAdmin is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

VerliAdmin is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with VerliAdmin; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
?>

<FONT class="h2"><?Print $text_help;?></FONT>

<BR><BR>

<TABLE class="b1 fs9px">
	<TR>
		<TD class="bg_light b" nowrap><?Print $text_command;?></TD>
		<TD class="bg_light b" nowrap><?Print $text_shortcut;?></TD>
		<TD class="bg_light b" nowrap><?Print $text_parametrs;?></TD>
		<TD class="bg_light b" nowrap><?Print $text_class;?></TD>
		<TD class="bg_light b" nowrap><?Print $text_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>+passwd</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;password&gt;</TD>
		<TD class="bg_light">1</TD>
		<TD class="bg_light"><?Print $text_cmd_passwd_help;?></TD>
	</TR><TR>
		<TD class="bg_light b center" colspan=5><?Print $text_info_cmds;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!getinfo</TD>
		<TD class="bg_light" nowrap>!gn</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_getinfo_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!getip</TD>
		<TD class="bg_light" nowrap>!gi</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_getip_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!gethost</TD>
		<TD class="bg_light" nowrap>!gh</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_gethost_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!whoip</TD>
		<TD class="bg_light" nowrap>!wip</TD>
		<TD class="bg_light" nowrap>&lt;ip&gt;</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_wip_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!whorange</TD>
		<TD class="bg_light" nowrap>!wrange</TD>
		<TD class="bg_light" nowrap>&lt;ip_range&gt;</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_wrange_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!infoban</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;nick/ip&gt;</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_infoban_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!reginfo</TD>
		<TD class="bg_light" nowrap>!rinfo</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_rinfo_help;?></TD>
	</TR><TR>
		<TD class="bg_light b center" colspan=5><?Print $text_ban_cmds;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!kick</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;nick&gt; &lt;reason&gt;</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_kick_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!ban</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;ip&gt;[ &lt;reason&gt;]</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_ban_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!bantemp</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;ip&gt; &lt;time&gt;[ &lt;reason&gt;]</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_bantemp_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!bannick</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_bannick_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!banip</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;ip&gt;[ &lt;reason&gt;]</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_banip_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!banhost</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;host&gt;[ &lt;reason&gt;]</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_banhost_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!banshare</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;share&gt;[ &lt;reason&gt;]</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_banshare_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!banemail</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;email&gt;[ &lt;reason&gt;]</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_banemail_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!drop</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_drop_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!infoban</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;nick/ip&gt;</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_infoban_help;?></TD>
	</TR><TR>
		<TD class="bg_light b center" colspan=5><?Print $text_unban_cmds;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!unban</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;nick/ip&gt;</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_unban_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!unbannick</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_unbannick_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!unbanip</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;ip&gt;</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_unbanip_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!unbanhost</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;host&gt;</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_unbanhost_help;?></TD>
	</TR><TR>
		<TD class="bg_light b center" colspan=5><?Print $text_reg_cmds;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!regnew</TD>
		<TD class="bg_light" nowrap>!rnew</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;[ &lt;class&gt;]</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_rnew_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!regclass</TD>
		<TD class="bg_light" nowrap>!rclass</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt; &lt;class&gt;</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_rclass_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!regpasswd</TD>
		<TD class="bg_light" nowrap>!rpasswd</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;[ &lt;password&gt;]</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_rpasswd_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!regdel</TD>
		<TD class="bg_light" nowrap>!rdel</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_rdel_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!regdisable</TD>
		<TD class="bg_light" nowrap>!rdisable</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_rdisable_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!regenable</TD>
		<TD class="bg_light" nowrap>!renable</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_renable_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!reginfo</TD>
		<TD class="bg_light" nowrap>!rinfo</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">3</TD>
		<TD class="bg_light"><?Print $text_cmd_rinfo_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!regprotect</TD>
		<TD class="bg_light" nowrap>!rprotect</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt; &lt;class&gt;</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_rprotect_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!reghigekick</TD>
		<TD class="bg_light" nowrap>!rhidekick</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_rhidekick_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!regset</TD>
		<TD class="bg_light" nowrap>!r=</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt; &lt;variable&gt; &lt;value&gt;</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_rset_help;?></TD>
	</TR><TR>
		<TD class="bg_light b center" colspan=5><?Print $text_gag_cmds;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!nochat</TD>
		<TD class="bg_light" nowrap>!gag</TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_gag_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!nosearch</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;&gt;</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_nosearch_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!nopm</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_nopm_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!noctm</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;nick&gt;</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_noctm_help;?></TD>
	</TR><TR>
		<TD class="bg_light b center" colspan=5><?Print $text_setup_cmds;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!gc</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light">5</TD>
		<TD class="bg_light"><?Print $text_cmd_gc_help;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!set</TD>
		<TD class="bg_light" nowrap>!=</TD>
		<TD class="bg_light" nowrap>&lt;variable&gt; &lt;value&gt;</TD>
		<TD class="bg_light">5</TD>
		<TD class="bg_light"><?Print $text_cmd_set_help;?></TD>
	</TR><TR>
		<TD class="bg_light b center" colspan=5><?Print $text_other_cmds;?></TD>
	</TR><TR>
		<TD class="bg_light" nowrap>!flood</TD>
		<TD class="bg_light" nowrap></TD>
		<TD class="bg_light" nowrap>&lt;message&gt;</TD>
		<TD class="bg_light">4</TD>
		<TD class="bg_light"><?Print $text_cmd_flood_help;?></TD>
	</TR><TR>
		<TD class="bg_light b" nowrap><?Print $text_command;?></TD>
		<TD class="bg_light b" nowrap><?Print $text_shortcut;?></TD>
		<TD class="bg_light b" nowrap><?Print $text_parametrs;?></TD>
		<TD class="bg_light b" nowrap><?Print $text_class;?></TD>
		<TD class="bg_light b" nowrap><?Print $text_help;?></TD>
	</TR>
</TABLE>
