<?
/*
Copyright (c) 2004 by Petr Bohac
---------------------------
This file is part of VerliAdmin, www interface for VerliHub.
http://bohyn.czechweb.cz

VerliAdmin is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

VerliAdmin is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with VerliAdmin; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// ---------------------------------------------------------------------

//Default VerliAdmin configuration values. Should not be changed
//If you want to change VerliAdmin configuration do it in SetupList
//table in verlihub database
$setup['min_class'] =					3;
$setup['language'] =					"cz|de|en|fr|hun|it|lv|pl|ro|ru|sw";
$setup['login_time'] =					3600; // 1 hour
$setup['date_format'] =					"d.m.Y";
$setup['timedate_format'] =				"d.m.Y - H:i";
$setup['time_format'] =					"H:m:s";
$setup['log_login'] =					0;
$setup['log_addreg'] =					0;
$setup['log_disablereg'] =				0;
$setup['log_deletereg'] =				0;
$setup['log_unkick'] =					0;
$setup['log_unban'] =					0;
$setup['log_settings'] =				0;
$setup['log_dir'] =						"logs/";
$setup['log_format'] =					"%logfilenick%%logfileaction%[%date% - %time%] %nick% (%class%) %ip% %action%";
$setup['reglist_min_class'] =			3;
$setup['reglist_order_by'] =			"class DESC, nick ASC";
$setup['reglist_results'] =				50;
$setup['reglist_nick'] =				1;
$setup['reglist_class'] =				1;
$setup['reglist_class_protect'] =		0;
$setup['reglist_class_hidekick'] =		0;
$setup['reglist_hide_kick'] =			0;
$setup['reglist_reg_date'] =			1;
$setup['reglist_reg_op'] =				1;
$setup['reglist_pwd_change'] =			0;
$setup['reglist_pwd_crypt'] =			0;
$setup['reglist_login_pwd'] =			0;
$setup['reglist_login_last'] =			1;
$setup['reglist_logout_last'] =			1;
$setup['reglist_login_cnt'] =			1;
$setup['reglist_login_ip'] =			0;
$setup['reglist_error_last'] =			0;
$setup['reglist_error_cnt'] =			1;
$setup['reglist_error_ip'] =			0;
$setup['reglist_enabled'] =				0;
$setup['reglist_email'] =				0;
$setup['reglist_note_op'] =				0;
$setup['reglist_note_usr'] =			0;
$setup['register_class'] =				"4|4|5|10|10|10";
$setup['disable_class'] =				"4|4|5|10|10|10";
$setup['delete_class'] =				"4|4|10|10|10|11";
$setup['setuplist_edit_class'] =		10;
$setup['setuplist_min_class'] =			3;
$setup['setuplist_order_by'] =			"var ASC";
$setup['setuplist_results'] =			50;
$setup['banlist_min_class'] =			3;
$setup['banlist_order_by'] =			"date_start DESC";
$setup['banlist_results'] =				50;
$setup['banlist_unban_class'] =			3;
$setup['banlist_ban_type'] =			0;
$setup['banlist_ip'] =					1;
$setup['banlist_nick'] =				1;
$setup['banlist_host'] =				0;
$setup['banlist_share_size'] =			0;
$setup['banlist_email'] =				0;
$setup['banlist_range_fr'] =			0;
$setup['banlist_range_to'] =			0;
$setup['banlist_date_start'] =			1;
$setup['banlist_date_limit'] =			1;
$setup['banlist_nick_op'] =				1;
$setup['banlist_reason'] =				1;
$setup['kicklist_min_class'] =	 		3;
$setup['kicklist_order_by'] =	 		"time DESC";
$setup['kicklist_results'] =			100;
$setup['kicklist_unkick_class'] =		3;
$setup['kicklist_nick'] =				1;
$setup['kicklist_time'] =				1;
$setup['kicklist_ip'] =					1;
$setup['kicklist_host'] =				0;
$setup['kicklist_share_size'] =			1;
$setup['kicklist_email'] =				1;
$setup['kicklist_op'] =					1;
$setup['kicklist_reason'] =				1;
$setup['kicklist_is_drop'] =			0;
$setup['unbanlist_min_class'] =			3;
$setup['unbanlist_order_by'] = 			"date_unban DESC";
$setup['unbanlist_results'] =			50;
$setup['unbanlist_ban_type'] =			0;
$setup['unbanlist_ip'] =				1;
$setup['unbanlist_nick'] =				1;
$setup['unbanlist_host'] =				0;
$setup['unbanlist_share_size'] =		1;
$setup['unbanlist_email'] =				0;
$setup['unbanlist_range_fr'] =			0;
$setup['unbanlist_range_to'] =			0;
$setup['unbanlist_date_start'] =		1;
$setup['unbanlist_date_limit'] =		1;
$setup['unbanlist_date_unban'] =		1;
$setup['unbanlist_ban_op'] =			1;
$setup['unbanlist_unban_op'] =			1;
$setup['unbanlist_ban_reason'] =		1;
$setup['unbanlist_unban_reason'] =		1;
$setup['file_trigger_min_class'] =		3;
$setup['file_trigger_edit_class'] =		10;
$setup['file_trigger_order_by'] =		"command ASC";
$setup['file_trigger_results'] =		50;
$setup['file_trigger_command'] =		1;
$setup['file_trigger_send_as'] =		1;
$setup['file_trigger_flag'] =			1;
$setup['file_trigger_def'] =			1;
$setup['file_trigger_descr'] =			1;
$setup['messanger_min_class'] =			11;
$setup['messanger_min_post_class'] =	1;
$setup['messanger_order_by'] =			"date_sent DESC";
$setup['messanger_results'] =			50;
$setup['messanger_expires_time'] =		604800; // 7 days
$setup['messanger_sender'] =			1;
$setup['messanger_date_sent'] =			1;
$setup['messanger_sender_ip'] =			0;
$setup['messanger_receiver'] =			0;
$setup['messanger_date_expires'] =		0;
$setup['messanger_subject'] =			1;
$setup['messanger_body'] =				1;
$setup['stats_min_class'] =				0;
$setup['stats_plugin'] =				0;
$setup['stats_results'] =				10;
$setup['commands_min_class'] =			3;
?>
