<?
/*
Copyright (c) 2004 by Petr Bohac
---------------------------
This file is part of VerliAdmin, www interface for VerliHub.
http://bohyn.czechweb.cz

VerliAdmin is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

VerliAdmin is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with VerliAdmin; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

IF($setup['file_trigger_min_class'] > $reg_class)
	{Die(VA_Error($err_msg['no_access']));}
?>

<FONT class="h2"><?Print $text_file_trigger;?></FONT>

<BR><BR>

<?
IF($_GET['page'] == ""){$_GET['page'] = 1;}
IF($_GET['orderby'] == ""){$_GET['orderby'] = $setup['file_trigger_order_by'];}

IF($_GET['filter'] != "" && $_GET['filter_colum'] != "")
	{
	$query = " WHERE `".$_GET['filter_colum']."` LIKE '";
	IF($_GET['filter_type'] == "contains" || $_GET['filter_type'] == "ends")
		{$query .= "%";}
	$query .= MySQL_Escape_String($_GET['filter']);
	IF($_GET['filter_type'] == "contains" || $_GET['filter_type'] == "begins")
		{$query .= "%";}
	$query .= "'";
	}

$result = MySQL_Query("SELECT Count(command) AS `count` FROM file_trigger".$query) OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
$count = MySQL_Fetch_Assoc($result);
$total = $count['count'];
MySQL_Free_Result($result);
$pages = (int)($total / $setup['file_trigger_results']) + 1;
$first = $setup['file_trigger_results'] * ($_GET['page'] - 1);

$colums = $setup['file_trigger_command'] + $setup['file_trigger_send_as'];
$colums += $setup['file_trigger_def'] + $setup['file_trigger_descr'];
$colums += $setup['file_trigger_min_class'] + 1;

IF($pages > 1)
	{Navigation($_GET['page'], $pages, "file_trigger", $_GET['orderby'], "", $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);}
?>

<TABLE class="fs9px b1">
	<TR>
		<FORM action="index.php?q=edittrigger" method="post">
		<TD class="bg_light" colspan=7><INPUT type="submit" value="<?Print $text_add_new_trigger?>"></TD>
		</FORM>
	</TR><TR>
		<TD class="bg_light right" colspan=<?Print $colums;?>>
			<FONT class="b"><?Print $text_colum;?> : </FONT>
			<SELECT name="filter_colum">
				<OPTION value="command"<?IF($_GET['colum'] == "command"){Print " selected";}?>><?Print $text_command;?></OPTION>
				<OPTION value="send_as"<?IF($_GET['colum'] == "send_as"){Print " selected";}?>><?Print $text_send_as;?></OPTION>
				<OPTION value="def"<?IF($_GET['colum'] == "def"){Print " selected";}?>><?Print $text_def;?></OPTION>
				<OPTION value="descr"<?IF($_GET['colum'] == "descr"){Print " selected";}?>><?Print $text_descr;?></OPTION>
				<OPTION value="min_class"<?IF($_GET['colum'] == "min_class"){Print " selected";}?>><?Print $text_min_class;?></OPTION>
				<OPTION value="flag"<?IF($_GET['colum'] == "flag"){Print " selected";}?>><?Print $text_flag;?></OPTION>
			</SELECT>
			&nbsp;&nbsp;
			<SELECT name="filter_type" size=1>
				<OPTION value="contains"<?IF($_GET['filter_type'] == "contains"){Print " selected";}?>><?Print $text_contains;?></OPTION>
				<OPTION value="equal"<?IF($_GET['filter_type'] == "equal"){Print " selected";}?>><?Print $text_equal;?></OPTION>
				<OPTION value="begins"<?IF($_GET['filter_type'] == "begins"){Print " selected";}?>><?Print $text_begins;?></OPTION>
				<OPTION value="ends"<?IF($_GET['filter_type'] == "ends"){Print " selected";}?>><?Print $text_ends;?></OPTION>
			</SELECT>
			&nbsp;&nbsp;
			<INPUT name="filter" type="text" size=35 value="<?Print $_GET['filter'];?>" class="9px">
			<INPUT type="submit" value="<?Print $text_send;?>" class="9px">
		</TD>
	</TR>
	<TR>
		<TD width=16 class="bg_light">&nbsp;</TD>
		<?IF($setup['file_trigger_command']){?><TD class="b bg_light" nowrap><?Print $text_command; PrintOrderBy("command", $_GET['orderby'], "file_trigger", "", $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['file_trigger_send_as']){?><TD class="b bg_light" nowrap><?Print $text_send_as; PrintOrderBy("send_as", $_GET['orderby'], "file_trigger", "", $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['file_trigger_def']){?><TD class="b bg_light" nowrap><?Print $text_def; PrintOrderBy("def", $_GET['orderby'], "file_trigger", "", $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['file_trigger_descr']){?><TD class="b bg_light" nowrap><?Print $text_descr; PrintOrderBy("descr", $_GET['orderby'], "file_trigger", "", $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['file_trigger_min_class']){?><TD class="b bg_light" nowrap><?Print $text_min_class; PrintOrderBy("min_class", $_GET['orderby'], "file_trigger", "", $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['file_trigger_flag']){?><TD class="b bg_light" nowrap><?Print $text_flag; PrintOrderBy("flag", $_GET['orderby'], "file_trigger", "", $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
	</TR>
<?
$query .= " ORDER BY ".$_GET['orderby']." LIMIT ".$first.",".$setup['file_trigger_results'];
$result = MySQL_Query("SELECT * FROM file_trigger".$query) OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
WHILE($row = MySQL_Fetch_Assoc($result))
	{?>
	<TR>
		<FORM action="index.php?q=edittrigger&<?Print "page=".$_GET['page']."&orderby=".$_GET['orderby']."&filter_colum=".$_GET['filter_colum']."&filter_type=".$_GET['filter_type']."&filter=".$_GET['filter'];?>" method="post">
		<INPUT name="command" type="hidden" value="<?Print $row['command'];?>">
		<TD class="bg_light"><?IF($setup['file_trigger_edit_class'] <= $reg_class){?><INPUT type="image" src="img/edit.gif" title="<?Print $text_edit;?>" class="b0"><?}?></TD>
		</FORM>
		<?IF($setup['file_trigger_command']){?><TD class="bg_light"><?Print $row['command'];?></TD><?}?>
		<?IF($setup['file_trigger_send_as']){?><TD class="bg_light"><?Print $row['send_as'];?></TD><?}?>
		<?IF($setup['file_trigger_def']){?><TD class="bg_light"><?Print $row['def'];?></TD><?}?>
		<?IF($setup['file_trigger_descr']){?><TD class="bg_light"><?Print $row['descr'];?></TD><?}?>
		<?IF($setup['file_trigger_min_class']){?><TD class="bg_light"><?Print $row['min_class'];?></TD><?}?>
		<?IF($setup['file_trigger_flag']){?><TD class="bg_light"><?Print $row['flag'];?></TD><?}?>
	</TR>
<?	}?>
	<TR>
		<TD width=16 class="bg_light">&nbsp;</TD>
		<?IF($setup['file_trigger_command']){?><TD class="b bg_light" nowrap><?Print $text_command; PrintOrderBy("command", $_GET['orderby'], "file_trigger", "", $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['file_trigger_send_as']){?><TD class="b bg_light" nowrap><?Print $text_send_as; PrintOrderBy("send_as", $_GET['orderby'], "file_trigger", "", $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['file_trigger_def']){?><TD class="b bg_light" nowrap><?Print $text_def; PrintOrderBy("def", $_GET['orderby'], "file_trigger", "", $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['file_trigger_descr']){?><TD class="b bg_light" nowrap><?Print $text_descr; PrintOrderBy("descr", $_GET['orderby'], "file_trigger", "", $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['file_trigger_min_class']){?><TD class="b bg_light" nowrap><?Print $text_min_class; PrintOrderBy("min_class", $_GET['orderby'], "file_trigger", "", $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
		<?IF($setup['file_trigger_flag']){?><TD class="b bg_light" nowrap><?Print $text_flag; PrintOrderBy("flag", $_GET['orderby'], "file_trigger", "", $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD><?}?>
	</TR>
</TABLE>

<?
IF($pages > 1)
	{Navigation($_GET['page'], $pages, "file_trigger", $_GET['orderby'], "", $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);}
?>
