<?
/*
Copyright (c) 2004 by Petr Bohac
---------------------------
This file is part of VerliAdmin.

VerliAdmin is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

VerliAdmin is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with VerliAdmin; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

$script_start = MicroTime();
ob_start();

$reg_class = 0;

Include "library.php";
Include "config.php";
Include "version.php";
Include "language.php";

$pw_ch_suc = TRUE;
IF($_POST['pwd_change'])
	{$pw_ch_suc = PasswordChange($_POST['password'], $_POST['password2'], $_POST['nick'], $_POST['crypted']);}

IF(!$pw_ch_suc)
	{
	IF($_POST['password'] != $_POST['password2'] || $_POST['password'] == "")
		{$_GET['warn'] = "pwd_match";}
	ELSE
		{$_GET['err'] = "pwd_ch_not_allowed";}
	}

IF($_POST['ch_pwd_only'])
	{$pw_ch_suc = FALSE;}

IF(($_COOKIE['login'] || ($_POST['nick'] != "" && $_POST['password'])) && $pw_ch_suc)
	{//IF users is logged in verify username and password
	Include "verify.php";
	}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<HTML>
<HEAD>
<LINK type="Image/X-Icon" rel="Icon" href="img/favicon.ico">
<LINK type="Image/X-Icon" rel="ShortCut Icon" href="img/favicon.ico">
<LINK rel="StyleSheet" type="Text/CSS" href="default.css">
<META http-equiv="Content-Type" content="Text/HTML; Charset=<?Print $encoding;?>">
<META http-equiv="Expires" content="Mon, 06 Jan 1990 00:00:01 GMT">
<META http-equiv="Author" content="Petr Boh 2004 [bohyn@verliadmin.wz.cz.cz]">
<META http-equiv="Copyright" content="Petr Boh 2004 [bohyn@verliadmin.wz.cz]">
	<TITLE><?Print $VH_setup['hub_name']." - VerliAdmin v".$VA_version;?></TITLE>
</HEAD>

<!--
Copyright (c) 2004 by Petr Bohac
--------------------------------
This file is part of VerliAdmin.

VerliAdmin is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

VerliAdmin is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with VerliAdmin; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-->

<BODY>
<CENTER>

<?Include "header.php";

IF(IsSet($_GET['warn']))
	{VA_Message($err_msg[$_GET['warn']], "warning");}

IF(IsSet($_GET['err']))
	{Die(VA_Message($err_msg[$_GET['err']], "error"));}
//If user is not loged in include login form (expect about and stats page)
ELSEIF($_COOKIE['login'] != 1 && $_GET['q'] != "about" && $_GET['q'] != "stats" && $_GET['q'] != "chpass" && $_GET['q'] != "messages")
	{Include "login.php";}
//Otherwise include required page

ELSEIF($_GET['q'] != "" && $_GET['q'] != "none")
	{
	IF(!Include $_GET['q'].".php")
		{//If include fails (page is not found or sytax error in script
		//display error message)
?>
		<BR><BR>
		<TABLE class="b1 fs12px" height=50 width=300>
			<TR>
				<TD align="center" width=50 class="bg_light"><IMG src="img/error.gif" width=32 height=32></TD>
				<TD align="center" class="red b bg_light"><?Print $err_msg['not_such_page']." '".$_GET['q'].".php'";?></TD>
			</TR>
		</TABLE>
<?		}
	}
//I don`t remember why it is there ;o))
ELSEIF($_GET['q'] == "none")
	{}
ELSE
{//No page is selected so print basic stats
?>

<BR><BR>

<?IF($newlogin) {?>
<TABLE class="b1 fs9px">
	<TR>
		<TD class="bg_light" nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_nick."</FONT> : ".$user['nick'];?>&nbsp;&nbsp;</TD>
		<TD class="bg_light" nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_pwd_crypt."</FONT> : "; IF($user['pwd_crypt']){Print $text_crypted;}ELSE{Print $text_noncrypted;}?>&nbsp;&nbsp;</TD>
		<TD class="bg_light" nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_pwd_set."</FONT> : "; IF($user['login_pwd']){Print $text_yes;}ELSE{Print $text_no;}?>&nbsp;&nbsp;</TD>
		<TD class="bg_light" nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_class."</FONT> : ".$user['class'];?>&nbsp;&nbsp;</TD>
	</TR><TR>
		<TD class="bg_light" colspan=2 nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_login_last."</FONT> : ".Date($setup['timedate_format'], $user['login_last']);?>&nbsp;&nbsp;</TD>
		<TD class="bg_light" colspan=2 nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_login_ip."</FONT> : ".$user['login_ip'];?>&nbsp;&nbsp;</TD>
	</TR><TR>
		<TD class="bg_light" colspan=2 nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_error_last."</FONT> : ".Date($setup['timedate_format'], $user['error_last']);?>&nbsp;&nbsp;</TD>
		<TD class="bg_light" colspan=2 nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_error_ip."</FONT> : ".$user['error_ip'];?>&nbsp;&nbsp;</TD>
	</TR><TR>
		<TD class="bg_light" colspan=2 nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_reg_date."</FONT> : ".Date($setup['timedate_format'], $user['error_last']);?>&nbsp;&nbsp;</TD>
		<TD class="bg_light" colspan=2 nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_reg_op."</FONT> : ".$user['reg_op'];?>&nbsp;&nbsp;</TD>
	</TR><TR>
		<TD class="bg_light" nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_login_cnt."</FONT> : ".$user['login_cnt'];?>&nbsp;&nbsp;</TD>
		<TD class="bg_light" nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_error_cnt."</FONT> : ".$user['error_cnt'];?>&nbsp;&nbsp;</TD>
		<TD class="bg_light" nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_class_protect."</FONT> : ".$user['class_protect'];?>&nbsp;&nbsp;</TD>
		<TD class="bg_light" nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_class."</FONT> : ".$user['class'];?>&nbsp;&nbsp;</TD>
	</TR><TR>
		<TD class="bg_light" colspan=4 nowrap>&nbsp;&nbsp;<?Print "<FONT class=\"b\">".$text_hide_keys."</FONT> : ".$user['hide_keys'];?>&nbsp;&nbsp;</TD>
	</TR>
</TABLE>

<BR>
	<?}?>
<TABLE class="b1 fs9px">
	<TR>
		<TD class="bg_light b center" colspan=6><?Print $text_database." ".$mysql_database?></TD>
	</TR><TR>
		<TD class="bg_light b center">&nbsp;&nbsp;<?Print $text_table;?>&nbsp;&nbsp;</TD>
		<TD class="bg_light b center">&nbsp;&nbsp;<?Print $text_rows;?>&nbsp;&nbsp;</TD>
		<TD class="bg_light b center">&nbsp;&nbsp;<?Print $text_size;?>&nbsp;&nbsp;</TD>
		<TD class="bg_light b center">&nbsp;&nbsp;<?Print $text_overhead;?>&nbsp;&nbsp;</TD>
		<TD class="bg_light">&nbsp;</TD>
		<TD class="bg_light">&nbsp;</TD>
	</TR>
<?
$result = MySQL_Query("SHOW TABLE STATUS") OR Die(VA_Message("MySQL error #".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
WHILE($row = MySQL_Fetch_Assoc($result)) {
	$total_rows += $row['Rows'];
	$total_size += $row['Data_length'] + $row['Index_length'];
	$total_overhead += $row['Data_free'];
	?>
	<TR>
		<TD class="bg_light">&nbsp;&nbsp;<?Print $row['Name'];?>&nbsp;&nbsp;</TD>
		<TD class="bg_light right">&nbsp;&nbsp;<?Print Number_Format($row['Rows']);?>&nbsp;&nbsp;</TD>
		<TD class="bg_light right">&nbsp;&nbsp;<?Print RoundShare($row['Data_length'] + $row['Index_length']);?>&nbsp;&nbsp;</TD>
		<TD class="bg_light right">&nbsp;&nbsp;<?Print RoundShare($row['Data_free']);?>&nbsp;&nbsp;</TD>
		<TD class="bg_light">&nbsp;&nbsp;<?IF($reg_class >= 5){Print $text_optimize;}?>&nbsp;&nbsp;</TD>
		<TD class="bg_light">&nbsp;&nbsp;<?IF($reg_class == 10){Print $text_trunctuate;}?>&nbsp;&nbsp;</TD>
	</TR>
	<?}?>
	<TR>
		<TD class="bg_light b">&nbsp;&nbsp;<?Print $text_total;?>&nbsp;&nbsp;</TD>
		<TD class="bg_light b right">&nbsp;&nbsp;<?Print Number_Format($total_rows);?>&nbsp;&nbsp;</TD>
		<TD class="bg_light b right">&nbsp;&nbsp;<?Print RoundShare($total_size);?>&nbsp;&nbsp;</TD>
		<TD class="bg_light b right">&nbsp;&nbsp;<?Print RoundShare($total_overhead);?>&nbsp;&nbsp;</TD>
		<TD class="bg_light">&nbsp;</TD>
		<TD class="bg_light">&nbsp;</TD>
	</TR><TR>
		<TD class="bg_light b center" colspan=6><?Print $text_mysql_status;?></TD>
	</TR>
<?
$result = MySQL_Query("SHOW STATUS") OR Die(VA_Message("MySQL error #".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
WHILE($row = MySQL_Fetch_Assoc($result)) {
	$mysql_stat[$row['Variable_name']] = $row['Value'];
}
?>
	<TR>
		<TD class="bg_light b">&nbsp;&nbsp;<?Print $text_received;?>&nbsp;&nbsp;</TD>
		<TD class="bg_light right">&nbsp;&nbsp;<?Print RoundShare($mysql_stat['Bytes_received']);?>&nbsp;&nbsp;</TD>
		<TD class="bg_light right">&nbsp;&nbsp;<?Print RoundShare($mysql_stat['Bytes_received'] / $mysql_stat['Uptime']);?>/s&nbsp;&nbsp;</TD>
		<TD class="bg_light">&nbsp;</TD>
		<TD class="bg_light">&nbsp;</TD>
		<TD class="bg_light">&nbsp;</TD>
	</TR><TR>
		<TD class="bg_light b">&nbsp;&nbsp;<?Print $text_sent;?>&nbsp;&nbsp;</TD>
		<TD class="bg_light right">&nbsp;&nbsp;<?Print RoundShare($mysql_stat['Bytes_sent']);?>&nbsp;&nbsp;</TD>
		<TD class="bg_light right">&nbsp;&nbsp;<?Print RoundShare($mysql_stat['Bytes_sent'] / $mysql_stat['Uptime']);?>/s&nbsp;&nbsp;</TD>
		<TD class="bg_light">&nbsp;</TD>
		<TD class="bg_light">&nbsp;</TD>
		<TD class="bg_light">&nbsp;</TD>
	</TR><TR>
		<?
//		$mysql_stat['queries'] += $mysql_stat[''];
//		$mysql_stat['queries'] += $mysql_stat[''];
//		$mysql_stat['queries'] += $mysql_stat[''];
//		$mysql_stat['queries'] += $mysql_stat[''];
		$mysql_stat['queries'] += $mysql_stat['Com_insert'];
		$mysql_stat['queries'] += $mysql_stat['Com_insert_select'];
		$mysql_stat['queries'] += $mysql_stat['Com_show_status'];
		$mysql_stat['queries'] += $mysql_stat['Com_show_tables'];
		$mysql_stat['queries'] += $mysql_stat['Com_update'];
		?>
		<TD class="bg_light b">&nbsp;&nbsp;<?Print $text_queries;?>&nbsp;&nbsp;</TD>
		<TD class="bg_light right">&nbsp;&nbsp;<?Print Number_Format($mysql_stat['queries']);?>&nbsp;&nbsp;</TD>
		<TD class="bg_light right">&nbsp;&nbsp;<?Print Number_Format($mysql_stat['queries'] / $mysql_stat['Uptime'], 2);?>/s&nbsp;&nbsp;</TD>
		<TD class="bg_light">&nbsp;</TD>
		<TD class="bg_light">&nbsp;</TD>
		<TD class="bg_light">&nbsp;</TD>
	</TR><TR>
		<TD class="bg_light b">&nbsp;&nbsp;<?Print $text_uptime;?>&nbsp;&nbsp;</TD>
		<TD class="bg_light" colspan=5>
			&nbsp;&nbsp;
			<?
			Print Date("z", $mysql_stat['Uptime'])." ".$text_days.", ";
			Print Date("G", $mysql_stat['Uptime'])." ".$text_hours.", ";
			Print Date("i", $mysql_stat['Uptime'])." ".$text_minutes.", ";
			Print Date("s", $mysql_stat['Uptime'])." ".$text_seconds;
			?>
			&nbsp;&nbsp;
		</TD>
	</TR>
</TABLE>
<?}?>

<?
Include "footer.php";?>

</CENTER>
</BODY>
</HTML>
<?Ob_End_Flush();?>