<?
/*
Copyright (c) 2004 by Petr Bohac
---------------------------
This file is part of VerliAdmin.

VerliAdmin is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

VerliAdmin is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with VerliAdmin; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

IF($setup['setuplist_min_class'] > $reg_class)
	{Die(VA_Message($err_msg['no_access'], "error"));}
?>
<FONT class="h2"><?Print $text_setuplist;?></FONT>

<BR><BR>

<?
IF($_GET['orderby'] == ""){$_GET['orderby'] = $setup['setuplist_order_by'];}
IF($_GET['page'] == ""){$_GET['page'] = 1;}

IF($_GET['filter_file'] == "VA_config")
	{$query = " WHERE (file LIKE 'verliadmin' OR file LIKE 'config')";}
ELSEIF($_GET['filter_file'] == "defaults")
	{$query = " WHERE file LIKE 'defaults'";}
ELSEIF($_GET['filter_file'] == "VerliAdmin")
	{$query = " WHERE file LIKE 'verliadmin'";}
ELSEIF($_GET['filter_file'] == "config")
	{$query = " WHERE file LIKE 'config'";}
IF($_GET['filter'] != "" && $_GET['filter_colum'] != "")
	{
	$query .= " AND `".$_GET['filter_colum']."` LIKE '";
	IF($_GET['filter_type'] == "contains" || $_GET['filter_type'] == "ends")
		{$query .= "%";}
	$query .= MySQL_Escape_String($_GET['filter']);
	IF($_GET['filter_type'] == "contains" || $_GET['filter_type'] == "begins")
		{$query .= "%";}
	$query .= "'";
	}

//Print $query;

$result = MySQL_Query("SELECT Count(var) AS `count` FROM SetupList".$query) OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
$count = MySQL_Fetch_Assoc($result);
$total = $count['count'];
MySQL_Free_Result($result);
$pages = (int)($total / $setup['setuplist_results']) + 1;
$first = $setup['setuplist_results'] * ($_GET['page'] - 1);

IF($pages > 1)
	{Navigation($_GET['page'], $pages, "setuplist", $_GET['orderby'], $_GET['filter_file'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);}
?>
<TABLE class="fs9px b1">
<?
IF($setup['setuplist_edit_class'] >= $reg_class)
	{?>
	<TR>
		<FORM action="index.php?q=editsetuplist<?Print "&page=".$_GET['page']."&orderby=".$_GET['orderby']."&filter_file=".$_GET['filter_file']."&filter_colum=".$_GET['filter_colum']."&filter_type=".$_GET['filter_type']."&filter=".$_GET['filter'];?>" method="post">
		<TD class="bg_light" colspan=7><INPUT type="submit" value="<?Print $text_add_new_setup?>"></TD>
		</FORM>
	</TR>
<?	}?>
	<TR>
		<FORM action="index.php" action="get">
		<INPUT name="q" type="hidden" value="setuplist">
		<INPUT name="orderby" type="hidden" value="<?Print $_GET['orderby'];?>">
		<TD class="bg_light right" colspan=7>
			<FONT class="b"><?Print $text_file;?> : </FONT>
			<SELECT name="filter_file" size=1>
				<OPTION value="VA_config"<?IF($_GET['filter_file'] == "VA_config"){Print " selected";}?>>Config + VerliAdmin</OPTION>
				<OPTION value="config"<?IF($_GET['filter_file'] == "config"){Print " selected";}?>>Config</OPTION>
				<OPTION value="VerliAdmin"<?IF($_GET['filter_file'] == "VerliAdmin"){Print " selected";}?>>VerliAdmin</OPTION>
				<OPTION value="defaults"<?IF($_GET['filter_file'] == "defaults"){Print " selected";}?>>Defaults</OPTION>
				<OPTION value=""<?IF($_GET['filter_file'] == ""){Print " selected";}?>><?Print $text_all;?></OPTION>
			</SELECT>
			<FONT class="b"><?Print $text_colum;?> : </FONT>
			<SELECT name="filter_colum" size=1>
				<OPTION></OPTION>
				<OPTION value="var"<?IF($_GET['filter_colum'] == "var"){Print " selected";}?>><?Print $text_var;?></OPTION>
				<OPTION value="val"<?IF($_GET['filter_colum'] == "val"){Print " selected";}?>><?Print $text_val;?></OPTION>
			</SELECT>
			<SELECT name="filter_type" size=1>
				<OPTION></OPTION>
				<OPTION value="contains"<?IF($_GET['filter_type'] == "contains"){Print " selected";}?>><?Print $text_contains;?></OPTION>
				<OPTION value="equal"<?IF($_GET['filter_type'] == "equal"){Print " selected";}?>><?Print $text_equal;?></OPTION>
				<OPTION value="begins"<?IF($_GET['filter_type'] == "begins"){Print " selected";}?>><?Print $text_begins;?></OPTION>
				<OPTION value="ends"<?IF($_GET['filter_type'] == "ends"){Print " selected";}?>><?Print $text_ends;?></OPTION>
			</SELECT>
			<INPUT name="filter" size=25 type="text" value="<?Print $_GET['filter'];?>">
			<INPUT type="submit" value="<?Print $text_send;?>">
		</TD>
		</FORM>
	</TR>
	<TR>
		<TD width=16 class="bg_light">&nbsp;</TD>
		<TD class="b bg_light"><?Print $text_file; PrintOrderBy("file", $_GET['orderby'], "setuplist", $_GET['filter_file'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD>
		<TD class="b bg_light"><?Print $text_var; PrintOrderBy("var", $_GET['orderby'], "setuplist", $_GET['filter_file'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD>
		<TD class="b bg_light"><?Print $text_val; PrintOrderBy("val", $_GET['orderby'], "setuplist", $_GET['filter_file'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD>
		<TD class="b bg_light"><?Print $text_vtype;?></TD>
		<TD class="b bg_light"><?Print $text_help;?></TD>
		<TD class="b bg_light"><?Print $text_applies;?></TD>
	</TR>
<?
$setuphelp = MySQL_Query("SELECT * FROM setuphelp") OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
$result = MySQL_Query("SELECT * FROM SetupList".$query." ORDER BY ".$_GET['orderby']." LIMIT ".$first.",".$setup['setuplist_results']) OR Die(VA_Message("#".MySQL_ErrNo()." : ".MySQL_Error(), "error"));
WHILE($row = MySQL_Fetch_Assoc($result))
	{
	$row['val'] = nl2br(HTMLSpecialChars($row['val']));
	?>
	<TR>
		<FORM action="index.php?q=editsetuplist<?Print "&page=".$_GET['page']."&orderby=".$_GET['orderby']."&filter_file=".$_GET['filter_file']."&filter_colum=".$_GET['filter_colum']."&filter_type=".$_GET['filter_type']."&filter=".$_GET['filter'];?>" method="post">
		<INPUT name="var" type="hidden" value="<?Print $row['var'];?>">
		<INPUT name="file" type="hidden" value="<?Print $row['file'];?>">
		<TD class="bg_light"><?IF($setup['setuplist_edit_class'] <= $reg_class){?><INPUT type="image" src="img/edit.gif" alt="<?Print $text_edit_setup;?>" class="b0"><?}ELSE{Print "&nbsp;";}?></TD>
		</FORM>
<?		WHILE($help = MySQL_Fetch_Assoc($setuphelp))
			{
			IF($help['var'] == $row['var'])
				{BREAK;}
			}
		MySQL_Data_Seek($setuphelp, 0);
		
		$help['help'] = nl2br(HTMLSpecialChars($help['help']));
		?>
		<TD class="bg_light" nowrap><?Print $row['file'];?></TD>
		<TD class="bg_light" nowrap><?Print $row['var'];?></TD>
		<TD class="bg_light<?IF($help['help'] == "int" || $help['help'] == "class"){Print " right";}?>"><?Print WordWrap($row['val'], 50, " ", 1);?></TD>
		<TD class="bg_light"><?Print $help['vtype'];?></TD>
		<TD class="bg_light"><?Print $help['help'];?></TD>
		<TD class="bg_light"><?Print $help['applies'];?></TD>
	</TR>
<?	}
MySQL_Free_Result($result);
MySQL_Free_Result($setuphelp);
?>
	<TR>
		<TD class="bg_light">&nbsp;</TD>
		<TD class="b bg_light"><?Print $text_file; PrintOrderBy("file", $_GET['orderby'], "setuplist", $_GET['filter_file'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD>
		<TD class="b bg_light"><?Print $text_var; PrintOrderBy("var", $_GET['orderby'], "setuplist", $_GET['filter_file'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD>
		<TD class="b bg_light"><?Print $text_val; PrintOrderBy("val", $_GET['orderby'], "setuplist", $_GET['filter_file'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);?></TD>
		<TD class="b bg_light"><?Print $text_vtype;?></TD>
		<TD class="b bg_light"><?Print $text_help;?></TD>
		<TD class="b bg_light"><?Print $text_applies; ?></TD>
	</TR>
</TABLE>

<?
IF($pages > 1)
	{Navigation($_GET['page'], $pages, "setuplist", $_GET['orderby'], $_GET['filter_file'], $_GET['filter_colum'], $_GET['filter_type'], $_GET['filter']);}
?>